## rang 0.1.0

=== DESCRIPTION ===
Package: rang
Title: Reconstructing Reproducible R Computational Environments with
        Ease
Version: 0.1.0
Authors@R: 
    c(person("Chung-hong", "Chan", , "chainsawtiney@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-6232-7530")),
      person("David", "Schoch", , "david@schochastics.net", role = "aut", 
           comment = c(ORCID = "0000-0003-2952-4812")))
Description: Resolve the dependency graph of R packages at a specific time point based on the information from various 'R-hub' web services <https://blog.r-hub.io/>. The dependency graph can then be used to reconstruct the R computational environment with 'Rocker' <https://rocker-project.org>.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
Config/testthat/edition: 3
Imports: anytime, fastmap, jsonlite, memoise, pkgsearch, remotes,
        utils, gh
Depends: R (>= 3.5.0)
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2023-02-15 16:17:08 UTC; chainsawriot
Author: Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
  David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>)
Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
Repository: CRAN
Date/Publication: 2023-02-16 15:30:02 UTC

## rang 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Package: rang
-Title: Reconstructing Reproducible R Computational Environments with
-        Ease
-Version: 0.1.0
+Title: Reconstructing Reproducible R Computational Environments
+Version: 0.2.0
 Authors@R: 
     c(person("Chung-hong", "Chan", , "chainsawtiney@gmail.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6232-7530")),
@@ -11,16 +10,18 @@
 License: GPL (>= 3)
 Encoding: UTF-8
 RoxygenNote: 7.2.3
+URL: https://github.com/chainsawriot/rang
+BugReports: https://github.com/chainsawriot/rang/issues
 Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
 Config/testthat/edition: 3
-Imports: anytime, fastmap, jsonlite, memoise, pkgsearch, remotes,
-        utils, gh
+Imports: parsedate, fastmap, jsonlite, memoise, pkgsearch, remotes,
+        utils, httr, vctrs, renv
 Depends: R (>= 3.5.0)
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-02-15 16:17:08 UTC; chainsawriot
+Packaged: 2023-03-09 15:38:22 UTC; chainsawriot
 Author: Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
   David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>)
 Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-02-16 15:30:02 UTC
+Date/Publication: 2023-03-09 16:30:02 UTC

=== tests/testdata/fakexml2/DESCRIPTION ===
Package: xml2
Title: Parse XML
Version: 1.3.3.9000
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("Jim", "Hester", role = "aut"),
    person("Jeroen", "Ooms", role = "aut"),
    person("RStudio", role = c("cph", "fnd")),
    person("R Foundation", role = "ctb",
           comment = "Copy of R-project homepage cached as example")
  )
Description: Work with XML files using a simple, consistent interface.
    Built on top of the 'libxml2' C library.
License: MIT + file LICENSE
URL: https://xml2.r-lib.org/, https://github.com/r-lib/xml2
BugReports: https://github.com/r-lib/xml2/issues
Depends:
    R (>= 3.1.0)
Imports:
    methods
Suggests:
    covr,
    curl,
    httr,
    knitr,
    magrittr,
    mockery,
    rmarkdown,
    testthat (>= 2.1.0)
VignetteBuilder: 
    knitr
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.2
SystemRequirements: libxml2: libxml2-dev (deb), libxml2-devel (rpm)
Collate: 
    'S4.R'
    'as_list.R'
    'xml_parse.R'
    'as_xml_document.R'
    'classes.R'
    'init.R'
    'paths.R'
    'utils.R'
    'xml_attr.R'
    'xml_children.R'
    'xml_find.R'
    'xml_modify.R'
    'xml_name.R'
    'xml_namespaces.R'
    'xml_path.R'
    'xml_schema.R'
    'xml_serialize.R'
    'xml_structure.R'
    'xml_text.R'
    'xml_type.R'
    'xml_url.R'
    'xml_write.R'
    'zzz.R'

## rang 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rang
 Title: Reconstructing Reproducible R Computational Environments
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: 
     c(person("Chung-hong", "Chan", , "chainsawtiney@gmail.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-6232-7530")),
@@ -19,9 +19,9 @@
 Depends: R (>= 3.5.0)
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2023-03-09 15:38:22 UTC; chainsawriot
+Packaged: 2023-08-08 12:41:04 UTC; chainsawriot
 Author: Chung-hong Chan [aut, cre] (<https://orcid.org/0000-0002-6232-7530>),
   David Schoch [aut] (<https://orcid.org/0000-0003-2952-4812>)
 Maintainer: Chung-hong Chan <chainsawtiney@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-09 16:30:02 UTC
+Date/Publication: 2023-08-09 10:40:02 UTC

## rang 0.3.0

=== DESCRIPTION ===
Package: Rhtslib
Title: HTSlib high-throughput sequencing library as an R package
Description: This package provides version 1.15.1 of the 'HTSlib' C
    library for high-throughput sequence analysis. The package is
    primarily useful to developers of other R packages who wish to
    make use of HTSlib. Motivation and instructions for use of this
    package are in the vignette, vignette(package="Rhtslib", "Rhtslib").
biocViews: DataImport, Sequencing
URL: https://bioconductor.org/packages/Rhtslib, http://www.htslib.org/
BugReports: https://github.com/Bioconductor/Rhtslib/issues
Version: 2.0.0
License: LGPL (>= 2)
Copyright: Unless otherwise noted in the file, all files outside
        src/htslib-1.15.1 or inst/include copyright Bioconductor; for
        files inside src/htslib-1.15.1 or inst/include, see file
        src/htslib-1.15.1/LICENSE.
Encoding: UTF-8
Authors@R: 
    c(person("Nathaniel", "Hayden", email="nhayden@fredhutch.org",
        role=c("led", "aut")),
    person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
        role="aut"),
    person("Hervé", "Pagès",
        email="hpages.on.github@gmail.com", role=c("aut", "cre")))
Imports: zlibbioc
LinkingTo: zlibbioc
Suggests: knitr, rmarkdown, BiocStyle
SystemRequirements: libbz2 & liblzma & libcurl (with header files), GNU
        make
StagedInstall: no
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/Rhtslib
git_branch: RELEASE_3_16
git_last_commit: 1757333
git_last_commit_date: 2022-11-01
Date/Publication: 2022-11-01
NeedsCompilation: yes
Packaged: 2022-11-01 22:45:17 UTC; biocbuild
Author: Nathaniel Hayden [led, aut],
  Martin Morgan [aut],
  Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== tests/testdata/Rcpp/DESCRIPTION ===
Package: Rcpp
Title: Seamless R and C++ Integration
Version: 1.0.10.4
Date: 2023-03-26
Author: Dirk Eddelbuettel, Romain Francois, JJ Allaire, Kevin Ushey, Qiang Kou,
 Nathan Russell, Inaki Ucar, Douglas Bates and John Chambers
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: The 'Rcpp' package provides R functions as well as C++ classes which
 offer a seamless integration of R and C++. Many R data types and objects can be
 mapped back and forth to C++ equivalents which facilitates both writing of new
 code as well as easier integration of third-party libraries. Documentation
 about 'Rcpp' is provided by several vignettes included in this package, via the
 'Rcpp Gallery' site at <https://gallery.rcpp.org>, the paper by Eddelbuettel and
 Francois (2011, <doi:10.18637/jss.v040.i08>), the book by Eddelbuettel (2013,
 <doi:10.1007/978-1-4614-6868-4>) and the paper by Eddelbuettel and Balamuta (2018,
 <doi:10.1080/00031305.2017.1375990>); see 'citation("Rcpp")' for details.
Imports: methods, utils
Suggests: tinytest, inline, rbenchmark, pkgKitten (>= 0.1.2)
URL: https://www.rcpp.org, https://dirk.eddelbuettel.com/code/rcpp.html, https://github.com/RcppCore/Rcpp
License: GPL (>= 2)
BugReports: https://github.com/RcppCore/Rcpp/issues
MailingList: rcpp-devel@lists.r-forge.r-project.org
RoxygenNote: 6.1.1

=== tests/testdata/chipseq/DESCRIPTION ===
Package: chipseq
Title: chipseq: A package for analyzing chipseq data
Version: 1.49.0
Author: Deepayan Sarkar, Robert Gentleman, Michael Lawrence, Zizhen Yao
Description: Tools for helping process short read data for chipseq
        experiments
Depends: R (>= 2.10), methods, BiocGenerics (>= 0.1.0), S4Vectors (>= 0.17.25),
        IRanges (>= 2.13.12), GenomicRanges (>= 1.31.8), ShortRead
Imports: methods, stats, lattice, BiocGenerics, IRanges, GenomicRanges,
        ShortRead
Suggests: BSgenome, GenomicFeatures, TxDb.Mmusculus.UCSC.mm9.knownGene
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
License: Artistic-2.0
LazyLoad: yes
biocViews: ChIPSeq, Sequencing, Coverage, QualityControl, DataImport

=== tests/testdata/fakezlibbioc/DESCRIPTION ===
Package: zlibbioc
Type: Package
Title: An R packaged zlib-1.2.5
Version: 1.41.0
Author: Martin Morgan
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
Description: This package uses the source code of zlib-1.2.5 to create
  libraries for systems that do not have these available via other
  means (most Linux and Mac users should have system-level access to
  zlib, and no direct need for this package). See the vignette for
  instructions on use.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/zlibbioc
BugReports: https://github.com/Bioconductor/zlibbioc/issues
License: Artistic-2.0 + file LICENSE
LazyLoad: yes

=== tests/testdata/mzesalike/DESCRIPTION ===
Package: mzesalike
Title: Xaringan Template With MZES Theme
Version: 0.0.3
Authors@R: 
    person(given = "Chung-hong",
           family = "Chan",
           role = c("aut", "cre"),
           email = "chainsawtiney@gmail.com",
           comment = c(ORCID = "0000-0002-6232-7530"))
Description: Create professional looking HTML5 slides with MZES theme.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports:
    xaringan,
    xaringanExtra (>= 0.0.14),
    leaflet,
    fontawesome
Remotes:
    yihui/xaringan,
    chainsawriot/xaringanExtra,
    rstudio/fontawesome
RoxygenNote: 7.1.0

=== tests/testdata/rrcompendium-complete/DESCRIPTION ===
Package: rrcompendium
Title: Partial Reproduction of Boettiger Ecology Letters 2018;21:1255–1267 with rrtools
Version: 0.0.0.9000
Authors@R:
    person(given = "Anna",
           family = "Krystalli",
           role = c("aut", "cre"),
           email = "annakrystalli@googlemail.com")
Description: This repository contains the research compendium of the partial 
    reproduction of Boettiger Ecology Letters 2018;21:1255–1267. The compendium 
    contains all data, code, and text associated with this sub-section of the 
    analysis.
License: MIT + file LICENSE
ByteCompile: true
Encoding: UTF-8
LazyData: true
URL: https://github.com/annakrystalli/rrcompendium
BugReports: https://github.com/annakrystalli/rrcompendium/issues
Imports: 
    bookdown,
    dplyr,
    readr,
    ggplot2 (>= 3.0.0),
    ggthemes (>= 3.5.0),
    here (>= 0.1),
    knitr (>= 1.20),
    rticles (>= 0.6)
RoxygenNote: 6.1.0
Suggests: 
    testthat

## rang 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(rang 
    VERSION 3.2.0
    LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(cmake/CMakeUtilities.cmake)
include(GNUInstallDirs)
set_verbose(RANG_INC_DIR ${CMAKE_INSTALL_INCLUDEDIR} CACHE STRING
    "Installation directory for include files, a relative path that "
    "will be joined with ${CMAKE_INSTALL_PREFIX} or an absolute path.")

set(RANG_HEADERS include/rang.hpp)

add_library(${PROJECT_NAME} INTERFACE)

target_include_directories(rang INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:${RANG_INC_DIR}>
  )

include(CMakePackageConfigHelpers)

set_verbose(RANG_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/rang CACHE STRING
  "Installation directory for cmake files, a relative path that "
  "will be joined with ${CMAKE_INSTALL_PREFIX} or an absolute "
  "path.")
set(version_config ${PROJECT_BINARY_DIR}/rang-config-version.cmake)
set(project_config ${PROJECT_BINARY_DIR}/rang-config.cmake)
set(pkgconfig ${PROJECT_BINARY_DIR}/rang.pc)
set(targets_export_name rang-targets)

set_verbose(RANG_PKGCONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig CACHE PATH
  "Installation directory for pkgconfig (.pc) files, a relative "
  "path that will be joined with ${CMAKE_INSTALL_PREFIX} or an "
  "absolute path.")

write_basic_package_version_file(
    ${version_config}
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY AnyNewerVersion
    )

join_paths(includedir_for_pc_file "\${prefix}" "${RANG_INC_DIR}")

# Configure the PkgConfig
configure_file(
    "${PROJECT_SOURCE_DIR}/cmake/rang.pc.in"
    "${pkgconfig}"
    @ONLY
    )

# Configuring the CMake Installer Helper
configure_package_config_file(
    ${PROJECT_SOURCE_DIR}/cmake/rang-config.cmake.in
    ${project_config}
    INSTALL_DESTINATION ${RANG_CMAKE_DIR}
    )

set(INSTALL_TARGETS rang)

# Use a namespace because CMake provides better diagnostics for namespaced
# imported targets.
export(TARGETS ${INSTALL_TARGETS} NAMESPACE rang::
    FILE ${PROJECT_BINARY_DIR}/${targets_export_name}.cmake
    )

# Install version, config and target files.
install(
    FILES ${project_config} ${version_config}
    DESTINATION ${RANG_CMAKE_DIR}
    )

install(FILES ${RANG_HEADERS} DESTINATION "${RANG_INC_DIR}")
install(FILES "${pkgconfig}" DESTINATION "${RANG_PKGCONFIG_DIR}")

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(rang-test)

set(CMAKE_CXX_STANDARD          11 )
set(CMAKE_CXX_STANDARD_REQUIRED ON )
set(CMAKE_CXX_EXTENSIONS        OFF)

function(rang_add_test file_name)
    add_executable("${file_name}" "${file_name}.cpp")
    target_link_libraries("${file_name}" rang)
endfunction()

# simple tests #################################################################

rang_add_test(colorTest)
rang_add_test(envTermMissing)

# test that uses doctest #######################################################

set(doctest_DIR "" CACHE PATH "Directory containing doctestConfig.cmake")
find_package(doctest)

if (${doctest_FOUND} EQUAL 1)
    add_executable(all_rang_tests "test.cpp")
    target_link_libraries(all_rang_tests rang doctest::doctest)

    enable_testing()

    # cd build_dir && ctest --test-command all_tests
    add_test(NAME all_tests COMMAND "$<TARGET_FILE:all_rang_tests>")
endif()

=== debian/changelog ===
rang (3.2.0-1) unstable; urgency=low

  * Initial release. Closes: #1008131

 -- Wookey <wookey@debian.org>  Tue, 01 Feb 2022 01:59:07 +0000

=== debian/control ===
Source: rang
Section: libs
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/agauniyal/rang

Package: librang-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: c++ terminal colour library
 Simple header-only library that supports terminal colours
 on unix and windows using ansi sequences.
 Detects if output is a tty, and if colour is supported.
 Uses c++ iostream objects to do this.
 .
 If you need colour support on non-ansi terminals try termdb
 instead.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
opts="pgpsigurlmangle=s%$%.asc%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rang-$1.tar.gz%" \
   https://github.com/agauniyal/rang/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
